#
# spec file for package ldap-yp-tools
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ldap-yp-tools
Version:        1.13
Release:        3.3
Summary:        LDAP YP Tools
License:        BSD-2-Clause
Group:          Applications/Internet
URL:            https://downloads.sourceforge.net/project/%{name}/
Source:         https://downloads.sourceforge.net/project/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:         ldap-yp-tools-1.13.dif
BuildRequires:  openldap2-devel
BuildRequires:  perl
BuildRequires:  perl(Net::LDAP)
BuildRequires:  perl(URI)
Requires:       perl
Requires:       perl(Net::LDAP)
Requires:       perl(URI)

%description
LDAP equivalents of yp tools ypcat, ypmatch and chsh

%prep
%autosetup -p0

%build
%configure --docdir=%{_docdir}/%{name} \
        --with-perl=/usr/bin/perl
%make_build

%install
%make_install

%files
%defattr(-,root,root)
%doc README
%{_bindir}/ldap*
%{_mandir}/man1/ldap*.1%{ext_man}
%{_docdir}/%{name}/*.ldapcat

%changelog
* Thu Feb 29 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Thu Jul 27 2023 Dr. Werner Fink <werner@suse.de>
- Extend patch ldap-yp-tools-1.13.dif
  * Net::LDAP() seems to require scheme for ldaps service over
    port 636 otherwise the connection fails
* Tue Jan 25 2022 Dr. Werner Fink <werner@suse.de>
- Add patch ldap-yp-tools-1.13.dif
  * Mask the own ldap_connect function to avoid conflicts with
    the version of new OpenLDAP 2.5.4
* Mon Jan 24 2022 Dr. Werner Fink <werner@suse.de>
- Initial package ldap-yp-tools with version 1.13
  * LDAP equivalents of yp tools ypcat, ypmatch and chsh
